perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fairlight <fairl...@fairlite.com>
Subject Re: mod_perl2 on CentOS 6 compile issue
Date Thu, 04 Apr 2013 08:01:21 GMT
On Wed, Apr 03, 2013 at 08:53:06PM -0700, Fred Moyer thus spoke:
> On Wed, Apr 3, 2013 at 8:42 PM, Jie Gao <J.Gao@sydney.edu.au> wrote:
> > There is currently no mod_perl release that's compatible with Apache
> > 2.2.24 yet.
> 
> I built 5.14.12/2.2.24/2.08-dev yesterday on a Centos 6.2 box.
> 
> Thinking Perl needs to be recompiled with -fPIC. Your httpd loads a
> certain mod_perl via PerlRequire in httpd.conf, which grabs the
> appropriate mod_perl.so, which is linked to the version of Perl it was
> compiled with. If you get undefined symbol errors, you probably need
> to recompile your httpd, but I've seen this before and a Perl
> recompilation resolved the issue.

Indeed, recompiling perl with -fPIC fixed the issue.  The rest of the
(TONNES of) modules I had installed seem to work yet, too.  Which is good.
You have any idea how many modules MojoMojo alone uses?  :)

The instructions about -fPIC really need to be more clear.  I thought it
was saying recompile mod_perl2 with that option, not perl itself.  Glad
someone knew!

Thank you for the quick and accurate help!!!

Bests!

mark->

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message